内容字号:默认大号超大号

段落设置:段首缩进取消段首缩进

字体设置:切换到微软雅黑切换到宋体

CocoaPods安装出现SSL verification error

2016-11-18 15:14 出处:未知 人气: 评论(0

在安装CocoaPods出现了以下问题:

ERROR: SSL verification error at depth 1: unable to get local issuer certificate (20)

ERROR: You must add /C=IL/O=StartCom Ltd./OU=Secure Digital Certificate Signing/CN=StartCom Certification Authority to your local trusted store

ERROR: SSL verification error at depth 2: self signed certificate in certificate chain (19)

ERROR: Root certificate is not trusted (/C=US/O=GeoTrust Inc./CN=GeoTrust Global CA)

出现这个问题的原因主要是Ruby环境需要2.2版本以上,所以要更新Ruby环境。

更新Ruby环境

0.首先要安装 Homebrew 终端输入这条命令即可 /usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" 
1.安装rvm $ curl -L get.rvm.io | bash -s stable 
2.装载rvm $ source ~/.rvm/scripts/rvm 
3.安装2.3.0版本ruby $ rvm install 2.3.0 
4.将2.3.0设为默认 $ rvm use 2.3.0 --default

证书错误问题

$ cd $rvm_path/usr/ssl
$ sudo curl -O http://curl.haxx.se/ca/cacert.pem
$ sudo mv cacert.pem cert.pem

这样就解决了上面的error

分享给小伙伴们:
本文标签: CocoaPodsSSL

相关文章

发表评论愿您的每句评论,都能给大家的生活添色彩,带来共鸣,带来思索,带来快乐。

CopyRight © 2015-2016 QingPingShan.com , All Rights Reserved.

清屏网 版权所有 豫ICP备15026204号